com.intellectualcrafters.plot.database.sqlobjects

## Enum SQLType

- java.lang.Object
- - java.lang.Enum<SQLType>
  - - com.intellectualcrafters.plot.database.sqlobjects.SQLType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SQLType>

      public enum SQLType
      extends java.lang.Enum<SQLType>

  Created by Citymonstret on 2014-10-28.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOL`
    `INTEGER`
    `VARCHAR`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getDefaultValue()`
    `java.lang.Class` | `getJavaClass()`
    `int` | `getLength()`
    `java.lang.String` | `toString()`
    `static SQLType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SQLType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTEGER

          public static final SQLType INTEGER

    - #### VARCHAR

          public static final SQLType VARCHAR

    - #### BOOL

          public static final SQLType BOOL

  - ### Method Detail

    - #### values

          public static SQLType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SQLType c : SQLType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SQLType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLength

          public int getLength()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<SQLType>`

    - #### getJavaClass

          public java.lang.Class getJavaClass()

    - #### getDefaultValue

          public java.lang.Object getDefaultValue()